FL_HitEventHandler = {}
targetlist = {}
local targetcheckdelay = 5
local showtargetsf10 = 1
local targetcount = 0
local enabledebug = 0

function fprint(...)
	local args = {...}
	for k,thing in pairs(args) do
		trigger.action.outText(tostring(thing), 10)
	end
end

function fGet2DDistance(x1, z1, x2, z2)
	local x = x2 - x1
	local z = z2 - z1
	local dist = nil
	if x == 0 then
		dist = z
	elseif z == 0 then
		dist = x
	else
		dist = math.sqrt(math.pow((x2 - x1), 2) + math.pow((z2 - z1), 2))
	end
	return dist
end

function FL_HitEventHandler:onEvent(event)
	if event.id == 8 then
		local obj_vec3 = event.initiator:getPoint()
		for targetname,v in pairs(targetlist) do
			local range = fGet2DDistance(v['point']['x'], v['point']['z'], obj_vec3['x'], obj_vec3['z'])
			if  range <= v["radius"] then
				fprint(targetname .. " DESTROYED")
				targetlist[targetname]['status'] = "dead"
			end
		end
	end
end

function fTargetCheck()
	local targetstillalive = 0
	local count = 0
	for targetname,v in pairs(targetlist) do
		count = count + 1
		if v['status'] == 'alive' then
			targetstillalive = 1
		else
			trigger.action.removeMark(count)
		end
	end
	if targetstillalive == 0 then
		world.removeEventHandler(FL_HitEventHandler)
		fprint("event handler removed")
	else
		timer.scheduleFunction(fTargetCheck, {}, timer.getTime() + targetcheckdelay)
	end
end

function fTargetsInit(...)
	local args = {...}
	for k,zone_name in pairs(args) do
		targetcount = targetcount + 1
		targetlist[zone_name] = {["point"] = trigger.misc.getZone(zone_name)["point"], ["radius"] = trigger.misc.getZone(zone_name)["radius"], ["status"] = "alive"}
	end
	if showtargetsf10 == 1 then
		local count = 0
		for zone_name,v in pairs(targetlist) do
			count = count + 1
			trigger.action.markToAll(count, zone_name, v['point'], true)
		end
	end
	world.addEventHandler(FL_HitEventHandler)
	timer.scheduleFunction(fTargetCheck, {}, timer.getTime() + targetcheckdelay)
end

fDebugEventHandler = {}
function fDebugEventHandler:onEvent(event)
	fprint(event.id)
end

if enabledebug == 1 then
	world.addEventHandler(fDebugEventHandler)
end 

fprint("Frosty Target Script Loaded")
