do
--create an instance of the IADS
RedIADS = SkynetIADS:create(RedIADS)

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
local iadsDebug = RedIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = true
--iadsDebug.ewRadarNoConnection = true
--iadsDebug.samNoConnection = true
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = true
--iadsDebug.hasNoPower = true
--iadsDebug.harmDefence = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
RedIADS:addEarlyWarningRadarsByPrefix('REW')

--add all groups begining with group name 'SAM' to the IADS:
RedIADS:addSAMSitesByPrefix('RSAM')

---Red Command---------------------------------------------------------------------------------------------------------------

local commandCenter = StaticObject.getByName("Red-Command-Center-1")
local comPowerSource = StaticObject.getByName("Red-Command-Power-1")
local comConnectionNode = StaticObject.getByName("Red-Command-Node-1")
RedIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource):addConnectionNode(comConnectionNode)

---Fixed SAMS---------------------------------------------------------------------------------------------------------------

RedIADS:getSAMSiteByGroupName('RSAM-SA-2-1'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-2'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-3'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-4'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-5'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

RedIADS:getSAMSiteByGroupName('RSAM-SA-11-1'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-11-2'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)


---Mobile SAMS---------------------------------------------------------------------------------------------------------------


---EWRs----------------------------------------------------------------------------------------------------------------------

RedIADS:getEarlyWarningRadars()

RedIADS:getEarlyWarningRadarByUnitName('REW-EWR-1')
RedIADS:getEarlyWarningRadarByUnitName('REW-EWR-2')
-----------------------------------------------------------------------------------------------------------------------------

RedIADS:addRadioMenu()

RedIADS:activate()

--BLUE SIDE-----------------------------------------------------------------------------------------------------------------------------

--create an instance of the IADS
BlueIADS = SkynetIADS:create(BlueIADS)

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
local iadsDebug = BlueIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = true
--iadsDebug.ewRadarNoConnection = true
--iadsDebug.samNoConnection = true
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = true
--iadsDebug.hasNoPower = true
--iadsDebug.harmDefence = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
BlueIADS:addEarlyWarningRadarsByPrefix('BEW')

--add all groups begining with group name 'SAM' to the IADS:
BlueIADS:addSAMSitesByPrefix('BSAM')

---Blue Command---------------------------------------------------------------------------------------------------------------

---Fixed SAMS---------------------------------------------------------------------------------------------------------------

BlueIADS:getSAMSiteByGroupName('BSAM-Patriot-1'):setActAsEW(False):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

BlueIADS:getSAMSiteByGroupName('BSAM-Hawk-1'):setActAsEW(True):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

---EWRs----------------------------------------------------------------------------------------------------------------------

BlueIADS:getEarlyWarningRadars()

BlueIADS:getEarlyWarningRadarByUnitName('BEW-EWR-1')

BlueIADS:addRadioMenu()

BlueIADS:activate()

end